# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
name = "svg_captcha"
version = "0.1.2"
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "High performance SVG captcha generator / 高性能 SVG 验证码生成器"
homepage = "https://github.com/talkto-me-dev/napi/tree/dev/svg_captcha"
readme = "README.md"
keywords = [
    "svg",
    "captcha",
    "generator",
    "webp",
    "verification",
]
categories = [
    "multimedia::images",
    "web-programming",
    "cryptography",
    "rendering",
    "encoding",
]
license = "MulanPSL-2.0"
repository = "https://github.com/talkto-me-dev/napi.git"
resolver = "2"

[package.metadata.docs.rs]
all-features = true
rustdoc-args = [
    "--cfg",
    "docsrs",
]

[features]
default = []

[lib]
name = "svg_captcha"
path = "src/lib.rs"

[[example]]
name = "main"
path = "examples/main.rs"

[[example]]
name = "server"
path = "examples/server.rs"

[[test]]
name = "main"
path = "tests/main.rs"

[dependencies.fastrand]
version = "2.4.1"

[dependencies.hipstr]
version = "0.8.0"

[dependencies.log]
version = "0.4.29"

[dependencies.static_init]
version = "1.0.4"

[dependencies.svg2webp]
version = "0.1.15"

[dependencies.thiserror]
version = "2.0.18"

[dev-dependencies.aok]
version = "0.1.18"

[dev-dependencies.axum]
version = "0.8.9"

[dev-dependencies.log]
version = "0.4.29"

[dev-dependencies.log_init]
version = "0.1.34"

[dev-dependencies.papaya]
version = "0.2.4"

[dev-dependencies.rmp-serde]
version = "1.3.1"

[dev-dependencies.serde]
version = "1.0.228"
features = ["derive"]

[dev-dependencies.static_init]
version = "1.0.4"

[dev-dependencies.tokio]
version = "1.52.1"
features = [
    "macros",
    "rt-multi-thread",
]

[dev-dependencies.tower-http]
version = "0.6.8"
features = ["fs"]
